#ifndef ACWGLOBALS_DEFINED
#define ACWGLOBALS_DEFINED

#include "acwatch.h"

// Constants
extern char *mainClassName;		// Class name registered for main window
extern char *mainWindowTitle;	// Window title for main window

// Global variables initialized at runtime
extern HINSTANCE hInstance;		// Instance handle of this program's image
extern HWND hwndApp;				// Window handle of this program's main window
extern char *cmdLine;				// Command line arguments given to this program
extern char appPath[MAX_PATH];		// Application path (determined from GetModuleName())
extern char logFilename[MAX_PATH];	// Fully-qualified path+filename of log file
extern HWND hwndLBLog;				// List box for log data
extern int bMinimized;				// Is the main window visible?

// Thread handles
extern unsigned int threadMonitor;

// Thread termination events
extern HANDLE quitMonitor;

// Global list of monitored files
extern tgStrList monitoredFiles;

// State / variables for AudioTron behavior
extern int playlistGenerationInProgress;
extern int playlistGenerationStartTime;
extern int playlistGenerationLastPollTime;
extern char playlistGenerationATName[256];

////////////////////////////////////////////////////////////////////////////////
// Preferences that might be changed at runtime (i.e. loaded from a config file)
////////////////////////////////////////////////////////////////////////////////

// Timing-related
extern int prefAccessTimePollInterval;
extern int prefDelayBeforeSongCheck;
extern int prefSongCheckInterval;
extern int prefUserTimeout;

// Filenames / paths
extern char prefBaseMonitorDir[MAX_PATH];
extern char prefPlaylistTriggerFilename[MAX_PATH];
extern char prefPlaylistDummyFilename[MAX_PATH];
extern char prefPlaylistOutputFilename[MAX_PATH];
extern char prefPlaylistGeneratorFilename[MAX_PATH];

// AudioTron parameters
extern char prefATPassword[128];

// AT display: Choose a song
extern char prefMsgLine1ChooseSong[MAX_ATRON_LINE_LEN];
extern char prefMsgLine2ChooseSong[MAX_ATRON_LINE_LEN];
extern int prefMsgDelayChooseSong;

// AT display: Playlist generation was successful
extern char prefMsgLine1Successful[MAX_ATRON_LINE_LEN];
extern char prefMsgLine2Successful[MAX_ATRON_LINE_LEN];
extern int prefMsgDelaySuccessful;

// AT display: Playlist generation failed because a song was not mixable or not found in the DB
extern char prefMsgLine1Failed[MAX_ATRON_LINE_LEN];
extern char prefMsgLine2Failed[MAX_ATRON_LINE_LEN];
extern int prefMsgDelayFailed;


// AT display: Another AudioTron is currently generating a playlist - go away
extern char prefMsgLine1Busy[MAX_ATRON_LINE_LEN];
extern char prefMsgLine2Busy[MAX_ATRON_LINE_LEN];
extern int prefMsgDelayBusy;

// AT display: Playlist generation timed out (due to user inactivity)
extern char prefMsgLine1Timeout[MAX_ATRON_LINE_LEN];
extern char prefMsgLine2Timeout[MAX_ATRON_LINE_LEN];
extern int prefMsgDelayTimeout;

#endif